import request from '@/utils/request'

// 查询检查项目列表
export function listInspectionItem(query) {
  return request({
    url: '/app/inspectionItem/list',
    method: 'get',
    params: query
  })
}

// 查询检查项目详细
export function getInspectionItem(id) {
  return request({
    url: '/app/inspectionItem/' + id,
    method: 'get'
  })
}

// 新增检查项目
export function addInspectionItem(data) {
  return request({
    url: '/app/inspectionItem',
    method: 'post',
    data: data
  })
}

// 修改检查项目
export function updateInspectionItem(data) {
  return request({
    url: '/app/inspectionItem',
    method: 'put',
    data: data
  })
}

// 删除检查项目
export function delInspectionItem(id) {
  return request({
    url: '/app/inspectionItem/' + id,
    method: 'delete'
  })
}

//全部选择
export function getAllInspectionItem() {
  return request({
    url: '/app/inspectionItem/optionselect',
    method: 'get'
  })
}
